Subject: [bug#33759] [PATCH] gnu: linkchecker: Fix build.

From: Christopher Baines <[email-masked]>
Date: Tue, 01 Jan 2019 22:57:54 +0000

Ludovic Courtès <[email-masked]> writes:

> Hello Chris!
>
> Christopher Baines <[email-masked]> skribis:
>
>> For some reason, the tests fail due to the lack of pytest. But when that's
>> added as an input, then some tests fail in other ways.
>>
>> * gnu/packages/web.scm (linkchecker)[native-inputs]: Add python2-pytest.
>> [arguments]: Set #:tests? to #f.
>
> [...]
>
>> +     `(#:python ,python-2
>> +       ;; TODO: Tests currently fail. Looks to be a mixture of trying to use
>> +       ;; /homeless-shelter and maybe the network.
>> +       #:tests? #f))
>
> Did you try adding a phase that does (setenv "HOME" (getcwd))?
>
> IMO it would be best to get some confidence that the test failures are
> benign, possibly working around them with tricks as above.

I've finally made some time to look at thsi more. The HOME issue seems
to not exist, and I think I've got the testsuite working now.

I noticed that some tests are skipped because they depend on the
network, and this seems helpful, but I think it's just been missed for
some tests. I've pushed a patch upstream to mark some more tests as
needing the network [1].

1: https://github.com/linkchecker/linkchecker/pull/202

I'll try to wrangle that patch in to Guix, and neaten up the other
changes, and send some updated patches soon.

Thanks for taking a look,

Chris